This week's book giveaway is in the Cloud/Virtualizaton forum.
We're giving away four copies of Mesos in Action and have Roger Ignazio on-line!
See this thread for details.
Win a copy of Mesos in Action this week in the Cloud/Virtualizaton forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

trouble installing and running eclipse

 
Dan Maples1
Greenhorn
Posts: 8
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi everybody, I am trying to install and run eclipse on my computer. I unzipped to a folder on my desktop temporarily, when I open the folder and then double click eclipse.exe a message box appears, tells me that there was an error and then reffers me to the log file. This is the error log file below, if anybody can help me solve my problem it would be great. Thanks!!! -Dan
 
Steven Bell
Ranch Hand
Posts: 1071
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
It looks like you're running Java 1.3.x and I think eclipse need 1.4+
 
Dan Maples1
Greenhorn
Posts: 8
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Steven, if you are reffering to the third line, I am also confused by that. I can't find that version anywhere on my machine. Furthermore, JAVA_HOME is set to D:\j2sdk1.4.1_01 so how it came up with that version I have no ideas. Anything else?

Thanks a bunch,
-Dan
 
Steven Bell
Ranch Hand
Posts: 1071
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Well, the third line was one thing, but the javax.xml.parsers.SAXParserFactory is part of the rt.jar (standard Java), and I think that was put in in 1.4.

I'm not sure why it would be thinking you have 1.3 if you have 1.4, but that's the only thing I can come up with.
 
Dan Maples1
Greenhorn
Posts: 8
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Steven- I typed in java -version into the comand window and it said 1.3... I am very confused as to what is going on, but at least I know whats wrong with eclipse. Once I get 1.4+ installed I should be fine, thanks a bunch!

-Dan
 
Steven Bell
Ranch Hand
Posts: 1071
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Look at your PATH variable. You should see a java version on there somewhere.
 
Jeanne Boyarsky
author & internet detective
Marshal
Posts: 34401
346
Eclipse IDE Java VI Editor
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Dan,
Could you remove the "1" from the end of your display name. The JavaRanch Naming Policy requires real names which don't have numbers in them. You can change your display name here.

Thanks,
Jeanne
IDEs Forum Bartender
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic